## org.eclipse.emf.validation.model
Enum ConstraintSeverity

    java.lang.Object
      java.lang.Enum<ConstraintSeverity>
          org.eclipse.emf.validation.model.ConstraintSeverity

All Implemented Interfaces:
  Serializable, Comparable<ConstraintSeverity>, Enumerator

    public enum ConstraintSeverity

extends Enum<ConstraintSeverity>
implements Enumerator

Describes the severity of failure to meet a `constraint`. See the individual value descriptions for details. The values correspond one-to-one with the Eclipse `IStatus` severity constants.

See Also:
  `IStatus`, `IModelConstraint`

Enum Constant Summary
`CANCEL` Indicates that failure of the constraint constitutes an error condition that should cancel the validation operation (no further constraints are evaluated).
`ERROR` Indicates that failure of the constraint constitutes an error condition.
`INFO` Indicates that failure of the constraint should only generate an informational message to the user.
`NULL` This special value is a pointer-safe null value according to the Null Object pattern.
`WARNING` Indicates that failure of the constraint constitutes a warning condition.

Method Summary
`static List<ConstraintSeverity>` `getAllInstances()` Obtains all values of the enumeration.
`static ConstraintSeverity` `getInstance(String name)` Obtains the `name`d instance.
`String` `getLiteral()`
`String` `getLocalizedName()` Obtains my localized (user-friendly) name.
`String` `getName()` Obtains my symbolic name.
`int` `getValue()`
`boolean` `isNull()` Queries whether I am the Null Object of this enumeration.
`int` `toIStatusSeverity()` Converts me to the Eclipse `IStatus` severity code.
`String` `toString()`
`static ConstraintSeverity` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConstraintSeverity[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INFO

    public static final ConstraintSeverity INFO

  Indicates that failure of the constraint should only generate an informational message to the user.

### WARNING

    public static final ConstraintSeverity WARNING

  Indicates that failure of the constraint constitutes a warning condition.

### ERROR

    public static final ConstraintSeverity ERROR

  Indicates that failure of the constraint constitutes an error condition.

### CANCEL

    public static final ConstraintSeverity CANCEL

  Indicates that failure of the constraint constitutes an error condition that should cancel the validation operation (no further constraints are evaluated).

### NULL

    public static final ConstraintSeverity NULL

  This special value is a pointer-safe null value according to the Null Object pattern. It is not a valid severity for a constraint.

Method Detail

### values

    public static final ConstraintSeverity[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ConstraintSeverity c : ConstraintSeverity.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ConstraintSeverity valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getInstance

    public static ConstraintSeverity getInstance(String name)

  Obtains the `name`d instance.

  Parameters:
    `name` - the name to retrieve (not case-sensitive)
  Returns:
    the corresponding instance, or `NULL` if no matching instance exists

### getAllInstances

    public static final List<ConstraintSeverity> getAllInstances()

  Obtains all values of the enumeration.

  Returns:
    all values

### getName

    public final String getName()

  Obtains my symbolic name.

  Specified by:
    `getName` in interface `Enumerator`
  Returns:
    my name
  See Also:
    `getInstance(java.lang.String)`

### getLocalizedName

    public final String getLocalizedName()

  Obtains my localized (user-friendly) name.

  Returns:
    a name suitable for display to the user
  See Also:
    `getName()`

### isNull

    public boolean isNull()

  Queries whether I am the Null Object of this enumeration. In general, `null` pointers are never used with this type.

  Returns:
    whether I am the `NULL` instance

### toIStatusSeverity

    public int toIStatusSeverity()

  Converts me to the Eclipse `IStatus` severity code.

  Returns:
    my corresponding Eclipse severity code

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ConstraintSeverity>`

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getLiteral

    public String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.